Skip to main content
POST
/
v1
/
videos
/
generations
curl --request POST \ --url https://api.foxapi.cc/v1/videos/generations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "topaz-upscale-video", "video_url": "https://example.com/input-video.mp4", "enhancement_model": "Proteus", "upscale_factor": 2 } '
{
  "created": 1757165031,
  "id": "task-unified-1757165031-uyujaw3d",
  "model": "<string>",
  "object": "video.generation.task",
  "progress": 0,
  "status": "pending",
  "task_info": {
    "can_cancel": true,
    "estimated_time": 45
  },
  "type": "video"
}

Documentation Index

Fetch the complete documentation index at: https://docs.foxapi.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

All endpoints require Bearer Token authentication

Add to request header:

Authorization: Bearer YOUR_API_KEY

Body

application/json
model
string
default:topaz-upscale-video
required

topaz-upscale-video: Input a video URL, output an upscaled and enhanced video

Example:

"topaz-upscale-video"

video_url
string
required

Public URL of the video to enhance

Notes:

  • The upstream service needs to be able to directly access this URL
  • The video will be upscaled and enhanced
Example:

"https://example.com/input-video.mp4"

enhancement_model
enum<string>
default:Proteus

Enhancement model name

Notes:

  • Default Proteus, suitable for most videos
  • Artemis series focuses on denoising and sharpening
  • Nyx series focuses on noise cleanup
  • Gaia series is better suited for renders, animation or motion graphics
  • Starlight series focuses on generative enhancement
Available options:
Proteus,
Artemis HQ,
Artemis MQ,
Artemis LQ,
Nyx,
Nyx Fast,
Nyx XL,
Nyx HF,
Gaia HQ,
Gaia CG,
Gaia 2,
Starlight Precise 1,
Starlight Precise 2,
Starlight Precise 2.5,
Starlight HQ,
Starlight Mini,
Starlight Sharp,
Starlight Fast 1,
Starlight Fast 2
Example:

"Proteus"

upscale_factor
number
default:2

Upscale factor

Notes:

  • Range 1-4
  • 2 means both width and height are doubled
Required range: 1 <= x <= 4
Example:

2

target_fps
integer | null

Target frame rate

Notes:

  • Range 16-60
  • When provided, frame interpolation will be enabled

Do not pass this parameter unless necessary.

Required range: 16 <= x <= 60
Example:

24

compression
number | null

Compression artifact removal strength

Notes:

  • Range 0.0-1.0
  • Uses model default when not provided

Do not pass this parameter unless necessary.

Required range: 0 <= x <= 1
Example:

0.3

noise
number | null

Noise reduction strength

Notes:

  • Range 0.0-1.0
  • Uses model default when not provided

Do not pass this parameter unless necessary.

Required range: 0 <= x <= 1
Example:

0.2

halo
number | null

Halo suppression strength

Notes:

  • Range 0.0-1.0
  • Uses model default when not provided

Do not pass this parameter unless necessary.

Required range: 0 <= x <= 1
Example:

0.15

grain
number | null

Film grain strength

Notes:

  • Range 0.0-1.0
  • Uses model default when not provided

Do not pass this parameter unless necessary.

Required range: 0 <= x <= 1
Example:

0.1

recover_detail
number | null

Original detail recovery strength

Notes:

  • Range 0.0-1.0
  • Higher values preserve more original image details

Do not pass this parameter unless necessary.

Required range: 0 <= x <= 1
Example:

0.35

h264_output
boolean
default:false

Whether to output H.264 encoded video

Notes:

  • Default false, outputs H.265
  • Set to true for H.264 output

Do not pass this parameter unless necessary.

Example:

false

Response

Task created successfully

created
integer

Task creation timestamp

Example:

1757165031

id
string

Task ID

Example:

"task-unified-1757165031-uyujaw3d"

model
string

Model name actually used

object
enum<string>

Task type

Available options:
video.generation.task
progress
integer

Task progress percentage (0-100)

Required range: 0 <= x <= 100
Example:

0

status
enum<string>

Task status

Available options:
pending,
processing,
completed,
failed
Example:

"pending"

task_info
object

Async task information

type
enum<string>

Task output type

Available options:
video
Example:

"video"